Eclipse Platform Release 3.7

## org.eclipse.update.search
Interface IUpdateSearchResultCollectorFromMirror

All Superinterfaces:
  IUpdateSearchResultCollector

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IUpdateSearchResultCollectorFromMirror

extends IUpdateSearchResultCollector

Search results are collected by implementing this interface and passing it to the search request. If the implementation is visual, it is recommended that the match is shown as soon as it is collected (rather than kept in a list and presented at the end of the search). This interface should be implemented when you want to support collection of results from a mirror site, otherwise you can just implement the IUpdateSearchResultsCollector.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.1

Method Summary
`IURLEntry` `getMirror(ISiteWithMirrors site, String siteName)` Deprecated. Returns a mirror of the specified site.

Methods inherited from interface org.eclipse.update.search.IUpdateSearchResultCollector
`accept`

Method Detail

### getMirror

    IURLEntry getMirror(ISiteWithMirrors site,
                        String siteName)
                        throws OperationCanceledException

  Deprecated.
  Returns a mirror of the specified site. Normally, if the site defines some mirrors, this method can be implement so that it prompts the user to pick one of the mirrors.

  Parameters:
    `site` - the site to get the mirror for
    `siteName` - the name of the site
  Returns:
    a mirror (url+label) for the specified site, or null if no mirror is needed
  Throws:
    `OperationCanceledException` - if the user chooses to cancel the prompt instead of choosing the mirror from the list.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.